Subject: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 07 Nov 2019 23:03:42 +0100

Adam Sjøgren <[email-masked]> writes:

> I don't, the XPM is unscaled and the PNG is inserted on a large canvas
> with the original image unscaled in the corner:

I made two PNGs from wry.xpm. 

file /tmp/wry*.png 
/tmp/wry2.png: PNG image data, 13 x 14, 8-bit/color RGBA, non-interlaced
/tmp/wry.png:  PNG image data, 13 x 14, 2-bit colormap, non-interlaced

With the colormap png, I see the same as you -- no scaling, but a large
canvas.  With the non-colormap one, I get the proper scaling, too.

Odder and odder.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no